#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    ll n, l;
    cin >> n >> l;
    ll rez = -1;
    ll x;
    for(int i = 1; i <= n; i++)
    {
        cin >> x;
        if(x <= l && rez == -1) rez = i;
    }
    cout << rez;
    return 0;
}